brooklyn-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From henev...@apache.org
Subject [2/4] incubator-brooklyn git commit: Fixes to make_javadoc.sh script
Date Fri, 09 Jan 2015 20:43:30 GMT
Fixes to make_javadoc.sh script

Three changes: BROOKLYN_VERSION annotation to ensure that 0.7.0-SNAPSHOT
reference is updated. Javadoc output spews out a lot of noise to stdout
and errors/warnings to stderr, but use of 'tee' saves only stdout noise
and not the useful error messages - changed to send errors to stdout,
and what was stdout goes to /dev/null. Finally, abort if the required
brooklyn-all-dependencies jar file has not been built.


Project: http://git-wip-us.apache.org/repos/asf/incubator-brooklyn/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-brooklyn/commit/be59c906
Tree: http://git-wip-us.apache.org/repos/asf/incubator-brooklyn/tree/be59c906
Diff: http://git-wip-us.apache.org/repos/asf/incubator-brooklyn/diff/be59c906

Branch: refs/heads/master
Commit: be59c906fa3953eb6cf43f60d2edcf0f8a7bf0ac
Parents: 4b290dd
Author: Richard Downer <richard@apache.org>
Authored: Tue Dec 23 14:55:09 2014 +0000
Committer: Richard Downer <richard@apache.org>
Committed: Fri Jan 9 16:30:50 2015 +0000

----------------------------------------------------------------------
 docs/_build/make-javadoc.sh | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-brooklyn/blob/be59c906/docs/_build/make-javadoc.sh
----------------------------------------------------------------------
diff --git a/docs/_build/make-javadoc.sh b/docs/_build/make-javadoc.sh
index ccc1772..4581f40 100755
--- a/docs/_build/make-javadoc.sh
+++ b/docs/_build/make-javadoc.sh
@@ -16,11 +16,19 @@ else
   export SOURCE_PATHS=$BROOKLYN_JAVADOC_SOURCE_PATHS
 fi
 
+mkdir -p target
 rm -rf target/$JAVADOC_TARGET1_SUBPATH/
 
 export DATESTAMP=`date "+%Y-%m-%d"`
 # BROOKLYN_VERSION_BELOW
 export BROOKLYN_JAVADOC_CLASSPATH=../../usage/all/target/brooklyn-all-0.7.0-SNAPSHOT-with-dependencies.jar
+
+if [ \! -f ${BROOKLYN_JAVADOC_CLASSPATH} ]; then
+  echo "Expected to find ${BROOKLYN_JAVADOC_CLASSPATH}"
+  echo "Please run a full Maven build in the project root"
+  exit 1
+fi
+
 echo "building javadoc at $DATESTAMP from:
 $SOURCE_PATHS"
 
@@ -33,7 +41,7 @@ javadoc -sourcepath $SOURCE_PATHS \
   -windowtitle "Apache Brooklyn" \
   -header "Apache Brooklyn" \
   -footer '<b>Apache Brooklyn - Multi-Cloud Application Management</b> <br/>
<a href="http://brooklyn.io/" target="_top">brooklyn.io</a>. Apache License. &copy;
'$DATESTAMP'.' \
- | tee target/javadoc.log
+2>&1 1>/dev/null | tee target/javadoc.log
 
 if ((${PIPESTATUS[0]})) ; then echo ; echo ; echo "ERROR: javadoc process exited non-zero"
; exit 1 ; fi
 echo ; echo


Mime
View raw message